SKB_SEGMENT(9)

NAME
skb_segment - Perform protocol segmentation on skb.

SYNOPSIS

struct sk_buff * skb_segment(struct sk_buff * head_skb, netdev_features_t features);

ARGUMENTS

head_skb
    buffer to segment

features
    features for the output path (see dev->features)

DESCRIPTION

This function performs segmentation on the given skb. It returns a pointer to the first in a list of new skbs for the segments. In case of error it returns ERR_PTR(err).

COPYRIGHT